# Uses of Class
com.usatiuk.dhfs.persistence.JDataP

Packages that use JDataP
Package
Description
com.usatiuk.dhfs.persistence

## Uses of JDataP in com.usatiuk.dhfs.persistence

Methods in com.usatiuk.dhfs.persistence that return JDataP
Modifier and Type
Method
Description
`JDataP`
JDataP.Builder.`build()`
`JDataP`
JDataP.Builder.`buildPartial()`
`static JDataP`
JDataP.`getDefaultInstance()`
`JDataP`
JDataP.Builder.`getDefaultInstanceForType()`
`JDataP`
JDataP.`getDefaultInstanceForType()`
`static JDataP`
JDataP.`parseDelimitedFrom(InputStream input)`
`static JDataP`
JDataP.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JDataP`
JDataP.`parseFrom(byte[] data)`
`static JDataP`
JDataP.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JDataP`
JDataP.`parseFrom(com.google.protobuf.ByteString data)`
`static JDataP`
JDataP.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JDataP`
JDataP.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static JDataP`
JDataP.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JDataP`
JDataP.`parseFrom(InputStream input)`
`static JDataP`
JDataP.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JDataP`
JDataP.`parseFrom(ByteBuffer data)`
`static JDataP`
JDataP.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.persistence that return types with arguments of type JDataP
Modifier and Type
Method
Description
`com.google.protobuf.Parser<JDataP>`
JDataP.`getParserForType()`
`static com.google.protobuf.Parser<JDataP>`
JDataP.`parser()`
Methods in com.usatiuk.dhfs.persistence with parameters of type JDataP
Modifier and Type
Method
Description
`JDataP.Builder`
JDataP.Builder.`mergeFrom(JDataP other)`
`static JDataP.Builder`
JDataP.`newBuilder(JDataP prototype)`